cloudstack-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Du Jun <dj199...@gmail.com>
Subject Re: Fail to live migrate KVM VM from one host to another
Date Mon, 10 Mar 2014 01:24:56 GMT
Hi all,
I used apt-get install to cloudstack, and the default libvirt version is
0.9.8. So, do you agree that the version of libvirt is a bit old? What
version do you use?

--
Du Jun


2014-03-10 3:44 GMT+08:00 Thehyperadvisor <thehyperadvisor@gmail.com>:

> I agree with Marty. I'd remedy the known discrepancies so that theres
> parity between the hosts then move on from there.
>
> Sent from mobile device.
>
> > On Mar 9, 2014, at 3:17 PM, Marty Sweet <msweet.dev@gmail.com> wrote:
> >
> > Hi,
> >
> > It would be recommended that the libvirt version is the same between
> > hypervisors. The same probably stands for the kvm and qemu packages.
> >
> > Thanks,
> > Marty
> >
> >> On 9 March 2014 12:34, Du Jun <dj199008@gmail.com> wrote:
> >> Hi all,
> >> I am using Cloudstack 4.2.0, and I have 2 hosts(include management host)
> >> both in advanced zone(with no security group). I find I have some
> troubles
> >> in live migrating VM between hosts. In fact, I can migrate one VM from
> >> management host to the agent host, but I find I fail to migrate it from
> the
> >> agent host to the management host. The error message is shown below,
> >> 2014-03-09 19:52:59,918 DEBUG [agent.transport.Request]
> >> (AgentManager-Handler-14:null) Seq 8-930611287: Processing:  { Ans: ,
> >> MgmtId: 247232631006792, via: 8, Ver: v1, Flags: 110,
> >> [{"com.cloud.agent.api.MigrateAnswer":{"result":false,"details":"XML
> error:
> >> invalid security type","wait":0}}] }
> >> 2014-03-09 19:52:59,918 ERROR [cloud.vm.VirtualMachineManagerImpl]
> >> (Job-Executor-47:job-1384 = [ add0e438-80ae-4ab7-ba7c-1540ae9f2ab1 ])
> >> Unable to migrate due to XML error: invalid security type
> >> 2014-03-09 19:52:59,919 INFO  [cloud.vm.VirtualMachineManagerImpl]
> >> (Job-Executor-47:job-1384 = [ add0e438-80ae-4ab7-ba7c-1540ae9f2ab1 ])
> >> Migration was unsuccessful.  Cleaning up: VM[User|test-host-2]
> >>
> >> *PS: The libvirt version in my management server is 0.9.8
> >> while  the libvirt version in my agent server is 1.2.2.*
> >>
> >> I wonder if the difference of libvirt version between the 2 hosts
> matters?
> >> Or, is there any other resons? Thansk!
> >>
> >> --
> >> Regards,
> >> Du Jun
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message